## Character Map

Character Map — Browse available characters

## Functions

GtkWidget * | font_manager_character_map_new ()
void | font_manager_character_map_set_font ()
void | font_manager_character_map_set_filter ()
void | font_manager_character_map_restore_state ()

## Properties

int | active-cell | Read / Write
FontManagerFont * | font | Read / Write
double | preview-size | Read / Write
gboolean | search-mode | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_CHARACTER_MAP
| FontManagerCharacterMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerCharacterMap

## Implemented Interfaces

FontManagerCharacterMap implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <font-manager-character-map.h>

## Description

Widget which displays available characters in the selected font. It also provides basic information about the selected character and the ability to search for a specific character based on codepoint, name or other details.

## Functions

### font_manager_character_map_new ()

    GtkWidget *
    font_manager_character_map_new (void);

#### Returns

A newly created FontManagerCharacterMap. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_character_map_set_font ()

    void
    font_manager_character_map_set_font (FontManagerCharacterMap *self,
                                         FontManagerFont *font);

#### Parameters

self | FontManagerCharacterMap |
font | FontManagerFont. | [transfer none]

### font_manager_character_map_set_filter ()

    void
    font_manager_character_map_set_filter (FontManagerCharacterMap *self,
                                           GList *filter);

#### Parameters

self | FontManagerCharacterMap |
filter | GList of codepoints. | [element-type uint][transfer full][nullable]

### font_manager_character_map_restore_state ()

    void
    font_manager_character_map_restore_state
                                   (FontManagerCharacterMap *self,
                                    GSettings *settings);

Applies the values in `settings` to `self` and also binds those settings to their respective properties so that they are updated when any changes take place.

The following keys MUST be present in `settings` :

- charmap-font-size

#### Parameters

self | FontManagerCharacterMap |
settings | GSettings |

## Types and Values

### FONT_MANAGER_TYPE_CHARACTER_MAP

    #define FONT_MANAGER_TYPE_CHARACTER_MAP (font_manager_character_map_get_type ())

### FontManagerCharacterMap

    typedef struct _FontManagerCharacterMap FontManagerCharacterMap;

## Property Details

### The `“active-cell”` property

      “active-cell”              int

Currently selected cell in character map

Owner: FontManagerCharacterMap

Flags: Read / Write

Default value: 0

### The `“font”` property

      “font”                     FontManagerFont *

FontManagerFont

Owner: FontManagerCharacterMap

Flags: Read / Write

### The `“preview-size”` property

      “preview-size”             double

Font preview size

Owner: FontManagerCharacterMap

Flags: Read / Write

Allowed values: [6,96]

Default value: 16

### The `“search-mode”` property

      “search-mode”              gboolean

Whether search mode is active or not

Owner: FontManagerCharacterMap

Flags: Read / Write

Default value: FALSE